package com.kxs.product.biz.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 商户模块枚举类
 *
 * @author Lxq
 * @date 2023-10-25
 */
@Getter
@AllArgsConstructor
public enum MerchantEnum {

    /**
     * 机具类型
     */
    M_TYPE_SN(0, "兑换机"),
    M_TYPE_RE(1, "循环机"),
    /**
     * 商户状态
     */
    NO_ACT(0, "未激活"),
    ACT(1, "已激活"),
    NO_BIND(0, "未绑定"),
    BIND(1, "已绑定");

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
